#include once "fbgfxaddon.bi"

' test of:
' rendercontext in fullscreen
' loading 32-bit PNG image 
' use a color as transparent color

' The primary difference to fbgfx command put (x,y),image,TRANS is:
' We can use any color as transparent color not only pink (32/16-bit) or black (8-bit) !

' create 32-bit fullscreen render context
dim as RenderContext rc=RenderContext(640,480,32,true)
' set clear color (used by BeginFrame)
rc.setClearColor(255,255,255)

' load png from same folder
ChDir(ExePath())
var image = rc.LoadImage("rotate.png")
' create a YELLOW color key
dim as RGBAColor colorkey : colorkey.u32=RGB(255,255,0)
var w = rc.getImageWidth (image)\2
var h = rc.getImageHeight(image)\2

rc.BeginFrame
  ' show the image 5 times (ignore all yellow pixels)
  rc.DrawImage(image,rc.getCenterX-w,rc.getCenterY-h,colorkey)
  rc.DrawImage(image,rc.getCenterX+w,rc.getCenterY-h,colorkey)
  rc.DrawImage(image,rc.getCenterX-w,rc.getCenterY+h,colorkey)
  rc.DrawImage(image,rc.getCenterX+w,rc.getCenterY+h,colorkey)
  rc.DrawImage(image,rc.getCenterX,rc.getCenterY,colorkey)
rc.EndFrame

sleep
